Package io.vertx.ext.dropwizard

## Enum MatchType

- java.lang.Object
- - java.lang.Enum<MatchType>
  - - io.vertx.ext.dropwizard.MatchType

- All Implemented Interfaces:
    `Serializable`, `Comparable<MatchType>`

      public enum MatchType
      extends Enum<MatchType>

  The type of match.
  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EQUALS` |
    `REGEX` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MatchType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MatchType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final MatchType EQUALS

    - #### REGEX

          public static final MatchType REGEX

  - ### Method Detail

    - #### values

          public static MatchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MatchType c : MatchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MatchType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null